#include <iostream>
#include<math.h>
#include<fstream>
#include<iomanip>
using namespace std;
int main ()
{
ifstream f1("DE006.inp");
f.close();
ofstream f2("DE006.out");
f1>>n;
for(i=1;i<=n;i++)
{f1>>a[i];
}
if (a[i]<=t)
t=a[i];
{if (t>=0)
f2<<t;
}
return 0;
f1.close();
}
	
